Subject: Re: [PATCH 3/6] receive-pack: receive.denyDeleteCurrent

From: Junio C Hamano <[email-masked]>
Date: Tue, 10 Feb 2009 07:15:19 -0800

Jeff King <[email-masked]> writes:

>> I think denyCurrentBranch means do not touch the currently checked out
>> branch, so 'refuse' there should trump whatever denyDeleteCurrent says as
>> long as the repository has a work tree.
>
> I'm not sure "trump" is the right behavior. How would I specify "it is
> OK to update this branch, but not to delete it, because I have installed
> a hook that deals with the former but not the latter".
>
> It seems like "delete" is a subset of "touch", so I think you probably
> want to refuse if _either_ is refuse. Which I think maybe is what you
> are saying here:

I meant "'refuse' in denyCurrentBranch trumps" and not "whatever is set to
denyCurrentBranch trumps".  IOW, I think we are in agreement.